#!/bin/bash

for F in port queue tasks timers
do
arm-none-eabi-gcc -flto \
  -v \
  -fpreprocessed -Wfatal-errors -Werror -O2 -Wall -pedantic \
  -mcpu=cortex-m4 -mthumb -mfloat-abi=hard -mfpu=fpv4-sp-d16 -fsingle-precision-constant \
  -finline-functions -Wdouble-promotion -std=gnu99 \
  ./$F.c -c -o ./$F.o
done

arm-none-eabi-gcc -flto \
  -lm -lc -lgcc -mcpu=cortex-m4 -mthumb -mfloat-abi=hard -mfpu=fpv4-sp-d16 -O2 -Werror \
  -fsingle-precision-constant -finline-functions -Wdouble-promotion -std=gnu99 -fno-exceptions \
  -Wl,--gc-sections,-T./STM32F429ZITx_FLASH.ld \
  -v -Wl,-v \
  -o ./device.elf \
  port.o queue.o tasks.o timers.o

